Subject: dpkg-source -b in 3.0 (quilt) package modifies timestamp of manually changed files

From: Raphael Hertzog <[email-masked]>
Date: Fri, 23 Apr 2010 10:39:58 +0200

Package: dpkg-dev
Severity: minor
Version: 1.15.0

Short summary: dpkg-source -b on a "3.0 (quilt)" source package with
changes not yet recorded in a quilt patch will lead to timestamp changes
on the modified files, this confuses emacs if one of the modified files is
currently open.

See discussion at
http://lists.debian.org/debian-devel/2010/04/msg00382.html

On Fri, 23 Apr 2010, Timo Juhani Lindfors wrote:
> Raphael Hertzog <[email-masked]> writes:
> > Timo, I'd be glad if you could check whether the attached patch fixes the
> > issue for you. If yes, I'll commit it to dpkg.
> 
> Doesn't seem to help:

Hum, I was fooled by your statement that only the timestamp changed. In fact
files are modified twice to properly record the changes in the quilt
framework so the timestamps are implicitly changed in that operation (and
it was not only dpkg-source that was directly modifying the timestamp).

I'm not even sure if resetting the timestamp to match the original one
would suffice. I might have to find another solution to record the changes
in quilt.

Cheers,
-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/